//+------------------------------------------------------------------+
//|                         (T_S_R) SIGNAL Alert Alarm GMT_Shift.mq4 |
//|                      Copyright  2007, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"
#property link      "Display by cja" 
// Thanks to the coders who supplied some of the code and ideas; 
// Xdard777 for his label code & Ogeima For the Comments code. 
// FiFtHeLeMeNt for the GMT code.
#property indicator_chart_window
#property indicator_buffers 3
#property indicator_color1 Coral
#property indicator_width1 2

//---- indicator buffers
extern string IIIIIIIIIIIIIIIIIIIIIIIIII = "<<<< TimeShift Setting >>>>>>>>>>>>>>"; 
extern int GMTshift=0;
#define Daily "Daily"
#define Daily1 "Daily1"
#define Daily2 "Daily2"
#define Daily3 "Daily3"
#define Daily4 "Daily4"
#define Open1 "Open1"
#define PVT "PVT"
extern string IIIIIIIIIIIIIIIIIIIIIIIIIII = "<<<<  TSR Trading Signals >>>>>>>>>>"; 
extern bool Show_Auto_TradeDisplay = true;
extern bool Show_TSR_TEXT = true;
extern string IIIIIIIIIIIIIIIIIIIIIIIIIIII = "<<<< Alerts & Alarms >>>>>>>>>>"; 
extern bool Alert_ON = true;// ON/true = Pop up window single sound 
extern bool Alarm_ON = false;// If ALERT ON - & Alarm set on true - gives alarm sound
extern string IIIIIIIIIIIIIIIIIIIIIIIIIIIII = "<<<<  TSR Colors >>>>>>>>>>"; 
extern color DailyColor = C'39,51,47';// C'109,44,44'
extern color DailyColor1= C'0,26,51';// C'89,0,0'C'0,54,80'
extern color DailyColor2= C'26,0,51';//C'69,69,69'
extern color DailyColor3= C'0,0,51';//was C'40,50,00'
extern color DailyColor4= C'0,51,32';
extern string IIIIIIIIIIIIIIIIIIIIIIIIIIIIII = "<<<<  FACTOR Settings >>>>>>>>>>";
extern bool Show_Factor = true; 
extern int DailyFACTOR =20;//Standard is 4
extern int SHIFT_FACTOR_TEXT = 22;
extern string IIIIIIIIIIIIIIIIIIIIIIIIIIIIIII= "<<<<  TEXT Shift >>>>>>>>>>"; 
extern int SHIFTDaily_TEXT = 10;
extern int SHIFT_Daily_HI_LOW_TEXT = 10;
extern int SHIFT_OPEN_TEXT = 12;
extern int SHIFT_PIVOT_TEXT = 12;
extern int SHIFT_TOP_LOW_DailyRangeTEXT = 30;
extern int GRAPHICS_TEXT_Size = 9;

extern string IIIIIIIIIIIIIIIIIIIIIIIIII. = "<<<<  PIVOT Settings >>>>>>>>>>"; 
extern bool Show_PivotLines = false;
extern bool Show_M_PivotLines = false;
extern int SHIFT_PivotPointText = 20;
extern int SHIFT_M_PivotText = 20;
extern int PivotPoint_ExtendLINE = 1;
extern string IIIIIIIIIIIIIIIIIIIIIIIIII.. = "<<<<  FIB Settings >>>>>>>>>>"; 
extern bool Show_FibLines = false;
extern bool Show_EXTRAFibLines = false;
extern int SHIFT_FibText = 50;
extern int FIB_ExtendDISPLAY = 10;
extern string IIIIIIIIIIIIIIIIIIIIIIIIII...= "<<<< Hi & LOW Settings >>>>>>>>>>"; 
extern bool Show_Daily_HI_LOW = true;
extern int SHIFT_HI_LOW_TEXT = 40;
#define DHI "DHI"
#define DLO "DLO"

#define PP1 "PP1"
#define RR3 "RR3"
#define RR2 "RR2"
#define RR1 "RR1"
#define SS1 "SS1"
#define SS2 "SS2"
#define SS3 "SS3"

#define MM1 "MM1"
#define MM2 "MM2"
#define MM3 "MM3"
#define MM4 "MM4"
#define MM5 "MM5"
#define MM0 "MM0"

#define FibP100 "FibP100"
#define FibP618   "FibP618"
#define FibP50  "FibP50"
#define FibP382   "FibP382"
#define Fib100 "Fib100"
#define Fib764   "Fib764"
#define Fib618   "Fib618"
#define Fib50  "Fib50"
#define Fib382   "Fib382"
#define Fib236   "Fib236"
#define Fib0   "Fib0"
#define FibM100 "FibM100"
#define FibM618   "FibM618"
#define FibM50  "FibM50"
#define FibM382   "FibM382"


#define FibP236   "FibP236"
#define FibP764   "FibP764"
#define FibM236   "FibM236"
#define FibM764   "FibM764"
#define FibM150   "FibM150"
#define FibP150   "FibP150"
#define FibM200   "FibM200"
#define FibP200   "FibP200"
#define FibM250   "FibM250"
#define FibP250   "FibP250"
#define FibM300   "FibM300"
#define FibP300   "FibP300"


double day_high;
double day_low;
double yesterday_open;
double today_open;
double cur_day;
double prev_day;

double yesterday_high=0;
double yesterday_low=0;
double yesterday_close=0;


//---- buffers

//---- input parameters
int shift=0,i2=0,WorkTime=0,Periods=0,CurPeriod=0,nTime=0;
int nDigits;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
{

IndicatorShortName("TSR");
  
}
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
    ObjectsDeleteAll(0,OBJ_TRENDBYANGLE);
    ObjectsDeleteAll(0,OBJ_RECTANGLE);
    ObjectsDeleteAll(0,OBJ_LABEL);
    ObjectsDeleteAll(0,OBJ_TEXT);
  
   
   Comment(""); 
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+

int start()
 {
 
   int counted_bars= IndicatorCounted();
  
CreateHL();
}

void CreateObj(string objName, double start, double end, color clr)
  {
   ObjectCreate(objName, OBJ_RECTANGLE, 0, iTime(NULL,1440,0)+GMTshift*3600, start, Time[0], end);
   ObjectSet(objName, OBJPROP_COLOR, clr);

  }
   void DeleteObjects()
   {
   ObjectDelete(Daily);
   
   ObjectDelete(Daily1);
   
   ObjectDelete(Daily2);
   
   ObjectDelete(Daily3); ObjectDelete(Daily4);
   }
   void CreateHL()
   {
   ObjectsDeleteAll(0,OBJ_RECTANGLE);
       CreateOP();
}
void CreateObj2(string objName2, double start, double end,double w, double s,color clr)
  {
   ObjectCreate(objName2, OBJ_TRENDBYANGLE, 0, iTime(NULL,1440,PivotPoint_ExtendLINE)+GMTshift*3600, start, Time[0],w,s, end);
   ObjectSet(objName2, OBJPROP_COLOR, clr);
   ObjectSet(objName2,OBJPROP_RAY,false);
   ObjectSet(objName2,OBJPROP_WIDTH,w);
    ObjectSet(objName2,OBJPROP_STYLE,s);
   }
   ObjectDelete(Open1);
   ObjectDelete(PVT);
   ObjectDelete (DHI);ObjectDelete (DLO);
   
   ObjectDelete(PP1); ObjectDelete(RR3); ObjectDelete(RR2); ObjectDelete(RR1); ObjectDelete(SS1); ObjectDelete(SS2);
   ObjectDelete(SS3);
    
   ObjectDelete(MM1); ObjectDelete(MM2); ObjectDelete(MM3); ObjectDelete(MM4); ObjectDelete(MM5); ObjectDelete(MM0);
   
  
      
   void CreateOP()
   {
    ObjectsDeleteAll(0,OBJ_TRENDBYANGLE);
   DeleteObjects();
   
                 
  CreateFIB();
}
void CreateObj3(string objName3, double start, double end,double w, double s,color clr)
  {
   ObjectCreate(objName3, OBJ_TRENDBYANGLE, 0, iTime(NULL,1440,FIB_ExtendDISPLAY)+GMTshift*3600, start, Time[0],w,s, end);
   ObjectSet(objName3, OBJPROP_COLOR, clr);
   ObjectSet(objName3,OBJPROP_RAY,false);
   ObjectSet(objName3,OBJPROP_WIDTH,w);
    ObjectSet(objName3,OBJPROP_STYLE,s);
   }
    
    ObjectDelete (Fib100); ObjectDelete (Fib764);  ObjectDelete (Fib618); ObjectDelete (Fib50); ObjectDelete (Fib236); 
    ObjectDelete (Fib0); ObjectDelete (Fib382);
    ObjectDelete (FibP100); ObjectDelete (FibP618); ObjectDelete (FibP50); ObjectDelete (FibP382); 
    ObjectDelete (FibM100); ObjectDelete (FibM618); ObjectDelete (FibM50); ObjectDelete (FibM382);
    ObjectDelete (FibP236);ObjectDelete (FibM236);ObjectDelete (FibP764);ObjectDelete (FibM764); 
    ObjectDelete (FibP150);ObjectDelete (FibM150);ObjectDelete (FibP200);ObjectDelete (FibM200);
    ObjectDelete (FibP250);ObjectDelete (FibM250);ObjectDelete (FibP300);ObjectDelete (FibM300);
    
   void CreateFIB()
   {
    ObjectsDeleteAll(0,OBJ_TRENDBYANGLE);
     DeleteObjects(); 
     
     //---- Get new daily prices & calculate pivots
   day_high=0;
   day_low=0;
   yesterday_open=0;
   today_open=0;
   cur_day=0;
   prev_day=0;
   
   int cnt=720;

   while (cnt!= 0)
   {
	  if (TimeDayOfWeek(Time[cnt]) == 0)
	  {
        cur_day = prev_day;
	  }
	  else
	  {
        cur_day = TimeDay(Time[cnt]- (GMTshift*3600));
	  }
	
  	  if (prev_day != cur_day)
	  {
		 yesterday_close = Close[cnt+1];
		 today_open = Open[cnt];
		 yesterday_high = day_high;
		 yesterday_low = day_low;

		 day_high = High[cnt];
		 day_low  = Low[cnt];

		 prev_day = cur_day;
	  }
   
     if (High[cnt]>day_high)
     {
       day_high = High[cnt];
     }
   
     if (Low[cnt]<day_low)
     {
       day_low = Low[cnt];
     }
	
	  cnt--;

  }
   double P = (yesterday_high + yesterday_low + yesterday_close)/3;//Pivot
  

    //Pivots & M Pivots
    double rr3 = ( 2 * P ) + ( yesterday_high - ( 2 * yesterday_low ));
    double rr2 = P + ( yesterday_high - yesterday_low );
    double rr1 = ( 2 * P ) - yesterday_low;
    double ss1 = ( 2 * P ) - yesterday_high;
    double ss2 = P - ( yesterday_high- yesterday_low);
    double ss3 = ( 2 * P ) - ( ( 2 * yesterday_high ) - yesterday_low );
         
    double mm0 = (ss2 + ss3)/2;
    double mm1 = (ss1 + ss2)/2;
    double mm2 = (P + ss1)/2;
    double mm3 = (P + rr1)/2; 
    double mm4 = (rr1 + rr2)/2;
    double mm5 = (rr2 + rr3)/2;   

  double HI2 = iHigh(NULL,1440,0);
  double LOW2 = iLow(NULL,1440,0); 
  double HI3 = yesterday_high;
  double LOW3 = yesterday_low;
  double HI4 = iHigh(NULL,1440,0);
  double LOW4 = iLow(NULL,1440,0);
  double HI5 = iHigh(NULL,1440,2);
  double LOW5 = iLow(NULL,1440,2);
  double HI6 = iHigh(NULL,1440,3);
  double LOW6 = iLow(NULL,1440,3);
  double HI7 = iHigh(NULL,1440,4);
  double LOW7 = iLow(NULL,1440,4);
  double HI8 = iHigh(NULL,1440,5);
  double LOW8 = iLow(NULL,1440,5);
  double HI9 = iHigh(NULL,1440,6);
  double LOW9 = iLow(NULL,1440,6);
  double HI10 = iHigh(NULL,1440,7);
  double LOW10 = iLow(NULL,1440,7);
  double HI11 = iHigh(NULL,1440,8);
  double LOW11 = iLow(NULL,1440,8);
  double HI12 = iHigh(NULL,1440,9);
  double LOW12 = iLow(NULL,1440,9);
  double HI13 = iHigh(NULL,1440,10);
  double LOW13 = iLow(NULL,1440,10);
  double HI14 = iHigh(NULL,1440,11);
  double LOW14 = iLow(NULL,1440,11);
  double HI15 = iHigh(NULL,1440,12);
  double LOW15 = iLow(NULL,1440,12);
  double HI16 = iHigh(NULL,1440,13);
  double LOW16 = iLow(NULL,1440,13);
  double HI17 = iHigh(NULL,1440,14);
  double LOW17 = iLow(NULL,1440,14);
  double HI18 = iHigh(NULL,1440,15);
  double LOW18 = iLow(NULL,1440,15);
  double HI19 = iHigh(NULL,1440,16);
  double LOW19 = iLow(NULL,1440,16);
  double HI20 = iHigh(NULL,1440,17);
  double LOW20 = iLow(NULL,1440,17);
  double HI21 = iHigh(NULL,1440,18);
  double LOW21 = iLow(NULL,1440,18);
  double HI22 = iHigh(NULL,1440,19);
  double LOW22 = iLow(NULL,1440,19);
  double HI23 = iHigh(NULL,1440,20);
  double LOW23 = iLow(NULL,1440,20);
  
  double OPEN = today_open; 
  double CLOSE = iClose(NULL,1440,0);
  
  double ONE = (HI3-LOW3)/2;
  
  double FIVE = ((HI3-LOW3)+(HI5-LOW5)+(HI6-LOW6)+(HI7-LOW7)+(HI8-LOW8))/10;
                   
                
  double TEN = ((HI3-LOW3)+(HI5-LOW5)+(HI6-LOW6)+(HI7-LOW7)+(HI8-LOW8)+
                  (HI9-LOW9)+(HI10-LOW10)+(HI11-LOW11)+(HI12-LOW12)+(HI13-LOW13))/20;
                    
  double TWENTY = ((HI3-LOW3)+(HI5-LOW5)+(HI6-LOW6)+(HI7-LOW7)+(HI8-LOW8)+
               (HI9-LOW9)+(HI10-LOW10)+(HI11-LOW11)+(HI12-LOW12)+(HI13-LOW13)+
               (HI14-LOW14)+(HI15-LOW15)+(HI16-LOW16)+(HI17-LOW17)+(HI18-LOW18)+
               (HI19-LOW19)+(HI20-LOW20)+(HI21-LOW21)+(HI22-LOW22)+(HI23-LOW23))/40; 
                                              
  double AV = (ONE+FIVE+TEN+TWENTY)/4;// New Setting AV = (FIVE+TEN+TWENTY)/3;
  double AV1 = (ONE+FIVE+TEN+TWENTY)/DailyFACTOR;
  
  
  double day_low = iLow(NULL,1440,0);
  double day_high = iHigh(NULL,1440,0);
  double HIDaily = (day_high)-(AV);
  double LOWDaily = (day_low)+(AV);
  double HIDaily1 = (day_high); 
  double LOWDaily1 =(day_low); 
  double HIDaily2 = (day_high)-(AV)*2; 
  double LOWDaily2 =(day_low)+(AV)*2; 
  
  double FACTORDN = (day_high)-(AV1);
  double FACTORUP = (day_low)+(AV1);
  
  double CURRPRICE = iMA(Symbol(),0,1,0,MODE_EMA,PRICE_CLOSE,0); 
  double Pivot = (yesterday_high + yesterday_low + yesterday_close)/3;
  string OPEN1,PIPS,HL,HI,LOW,TDR,BDR,FIFTY,LG,ST,PRO_L,PRO_S,CURR,FACTORDN1,FACTORUP1,FACTORR,PRO_L1,PRO_S1,DAR;
  

   //*****************************************************************************************************************************************
   //*****************************************************************************************************************************************       
    
   string Signal ="",Signalp ="";
   color col; 
   color col2;
         
            if (Alert_ON ==true) 
       {
          
      if(Show_Factor==true)
      {
     if(Ask>(FACTORUP-2*Point)&&Ask<(FACTORUP+2*Point)){ Alert(Symbol()," M",Period()," : TSR : BUY"," F"
     +(DoubleToStr(DailyFACTOR,Digits-4))+" Level" ,"  @  "+(DoubleToStr (FACTORUP,Digits))+"");}
           if (Alarm_ON ==true) 
       {
      PlaySound("Alarm Warning.wav");
     }
     if(Bid<(FACTORDN+2*Point)&&Bid>(FACTORDN-2*Point)){ Alert(Symbol()," M",Period()," : TSR : SELL"," F" 
     +(DoubleToStr(DailyFACTOR,Digits-4))+" Level" ,"  @  "+(DoubleToStr (FACTORDN,Digits))+"");}
            if (Alarm_ON ==true) 
       {
      PlaySound("Alarm Warning.wav");
      }}
     
     if(Ask>(LOWDaily-2*Point)&&Ask<(LOWDaily+2*Point)){ Alert(Symbol()," M",Period()," : TSR : BUY 50% Level @  "+(DoubleToStr (LOWDaily,Digits))+"" );}
     if(Bid<(HIDaily+2*Point)&&Bid>(HIDaily-2*Point)){ Alert(Symbol()," M",Period()," : TSR : SELL 50%  @  "+(DoubleToStr (HIDaily,Digits))+"" );}   
      }   
         
     if (Show_Auto_TradeDisplay == true )
     { 
        
      if(Show_Factor==true)
    {  
    // Factor entries     
    if(Ask>(FACTORUP-3*Point)&&Ask<(FACTORUP+3*Point)){Signal = "BUY @ "+DoubleToStr(FACTORUP,Digits)+""
                                              +" , 1st TP @ "+DoubleToStr(LOWDaily,Digits)+""
                                              +" , 2nd TP @ "+DoubleToStr(LOWDaily2,Digits)+""
                                              +" , SL @ "+DoubleToStr(HIDaily,Digits)+"";
                                              col = Lime;}
    if(Bid<(FACTORDN+3*Point)&&Bid>(FACTORDN-3*Point)){Signal = "SELL @ "+DoubleToStr(FACTORDN,Digits)+""
                                              +" , 1st TP @ "+DoubleToStr(HIDaily,Digits)+""
                                              +" , 2nd TP @ "+DoubleToStr(HIDaily2,Digits)+""
                                              +" , SL @ "+DoubleToStr(LOWDaily,Digits)+"";
                                              col = Gold;}}
    //50% entries                                          
         
    if(Ask>(LOWDaily-3*Point)&&Ask<(LOWDaily+3*Point)){Signal = "BUY 50% Level @ "+DoubleToStr(LOWDaily,Digits)+""
                                              +" , TP @ "+DoubleToStr(LOWDaily2,Digits)+""
                                              +" , SL @ "+DoubleToStr(FACTORDN,Digits)+"";
                                              col = Lime;}
    if(Bid<(HIDaily+3*Point)&&Bid>(HIDaily-3*Point)){Signal = "SELL 50% Level @ "+DoubleToStr(HIDaily,Digits)+""
                                              +"  , TP @ "+DoubleToStr(HIDaily2,Digits)+""
                                              +" , SL @ "+DoubleToStr(FACTORUP,Digits)+"";
                                              col = Gold;} 
                                                                                       
    if(Ask>(LOWDaily2-3*Point)&&Ask<(LOWDaily2+3*Point)){Signal = "CAUTION 100% Level @ "+DoubleToStr(LOWDaily2,Digits)+"";
                                              col = Lime;}
    if(Bid<(HIDaily2+3*Point)&&Bid>(HIDaily2-3*Point)){Signal = "CAUTION 100% Level @ "+DoubleToStr(HIDaily2,Digits)+"";
                                              col = Gold;} 
    if(Bid<(P-1*Point)&&Ask>(P+1*Point)){Signalp = "CAUTION CENTRAL PIVOT Level @ "+DoubleToStr(P,Digits)+"";
                                              col2 = Silver;} 
      }                          
                                              
   ObjectCreate("Signal", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("Signal", Signal, 10, "Tahoma Narrow", col);
   ObjectSet("Signal", OBJPROP_CORNER, 0);
   ObjectSet("Signal", OBJPROP_XDISTANCE, 250);
   ObjectSet("Signal", OBJPROP_YDISTANCE, 20);     
   
   ObjectCreate("Signalp", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("Signalp", Signalp, 10, "Tahoma Narrow", col2);
   ObjectSet("Signalp", OBJPROP_CORNER, 0);
   ObjectSet("Signalp", OBJPROP_XDISTANCE, 250);
   ObjectSet("Signalp", OBJPROP_YDISTANCE, 40);                                      
                                             
                                             
    
     /* if( iMA(Symbol(),0,1,0,MODE_EMA,PRICE_CLOSE,0)==(FACTORUP)){PlaySound("Alarm Warning.wav");}
     if( iMA(Symbol(),0,1,0,MODE_EMA,PRICE_CLOSE,0)==(FACTORDN)){PlaySound("Alarm Warning.wav");}*/
     
     //******************************************************************************************************************************************
     //******************************************************************************************************************************************
                                              
   double F;      
    F = (yesterday_high-yesterday_low);
   
    double FIBP300 =  yesterday_low + F*4.00;
    double FIBP250 =  yesterday_low + F*3.5;
    double FIBP200 =  yesterday_low + F*3.00;
    double FIBP150 =  yesterday_low + F*2.5;
    double FIBP100 =  yesterday_low + F*2.00;
    double FIBP764 = yesterday_low + F*1.764;
    double FIBP618 =  yesterday_low + F*1.618;
    double FIBP50 = yesterday_low + F*1.5;
    double FIBP382 =  yesterday_low + F*1.382;
    double FIBP236 = yesterday_low + F*1.236;
    double FIB100 =  yesterday_high;
    double FIB764 = yesterday_low + F*0.764;
    double FIB618 =  yesterday_low + F*0.618;
    double FIB50 = yesterday_low + F*0.5;
    double FIB382 =  yesterday_low + F*0.382;
    double FIB236 = yesterday_low + F*0.236;
    double FIB0 = yesterday_low + F*0.0;
    double FIBM236 = yesterday_low - F*0.236;
    double FIBM382 =  yesterday_low - F*0.382;
    double FIBM50 = yesterday_low - F*0.5;
    double FIBM618 =  yesterday_low - F*0.618;
    double FIBM764 = yesterday_low  - F*0.764;
    double FIBM100 =  yesterday_low - F*1.00; 
    double FIBM150 =  yesterday_low - F*1.5; 
    double FIBM200 =  yesterday_low - F*2.00; 
    double FIBM250 =  yesterday_low - F*2.5; 
    double FIBM300 =  yesterday_low - F*3.00; 
    
 ObjectsRedraw();      
   
   if (Show_TSR_TEXT==true) 
   {
    OPEN1 = DoubleToStr(OPEN,Digits);
    PIPS =  DoubleToStr((CLOSE-OPEN)/Point,0);
    HL = 	DoubleToStr((HI2-LOW2)/Point,0);//DoubleToStr(AV/Point,0)
    HI =    DoubleToStr(HI2,Digits);
    LOW =   DoubleToStr(LOW2,Digits);
    TDR =   DoubleToStr(LOWDaily2,Digits);
    BDR =   DoubleToStr(HIDaily2,Digits);
    FIFTY = DoubleToStr(AV/Point,0);
    FACTORR = DoubleToStr(AV1/Point,0);
    LG =    DoubleToStr(LOWDaily,Digits);
    ST =    DoubleToStr(HIDaily,Digits);  
    PRO_L = DoubleToStr((CURRPRICE-LOWDaily)/Point,0);
    PRO_S = DoubleToStr((HIDaily-CURRPRICE)/Point,0);
    PRO_L1 = DoubleToStr((CURRPRICE-FACTORUP)/Point,0);
    PRO_S1 = DoubleToStr((FACTORDN-CURRPRICE)/Point,0);
    CURR =  DoubleToStr(CURRPRICE,Digits);
    FACTORUP1 = DoubleToStr(FACTORUP,Digits);
    FACTORDN1 = DoubleToStr(FACTORDN,Digits);
    DAR = DoubleToStr(AV*2/Point,0);
    			
	ObjectDelete("TSR");
   TSR( "TSR", 200, 12,4);
   ObjectSetText( "TSR", "Brake in to the Bank"  , 15, "Impact", C'82,96,122' );
      ObjectDelete("TSRa");
   TSRa( "TSRa", 215, 12,4);
   ObjectSetText( "TSRa",",,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,"  , 8, "Arial ", DarkTurquoise );//50%
   
   ObjectDelete("TSR2");
   TSR2( "TSR2", 230, 12,4);
   ObjectSetText( "TSR2", "Daily Open "  , 8, "Impact Bold", C'112,126,85' );//Open
   ObjectDelete("TSR3");
   TSR3( "TSR3", 230, 12,4);
   ObjectSetText( "TSR3"," "+ OPEN1 +"", 8, "Arial Bold", C'110,130,166' );
    
    ObjectDelete("TSR4");
   TSR4( "TSR4", 245, 12,4);
   ObjectSetText( "TSR4", "Pips from Open"  , 8, "Arial ", C'112,126,85' );//Pips from Open
   ObjectDelete("TSR5");
   TSR5( "TSR5", 245, 12,4);
   ObjectSetText( "TSR5"," "+PIPS+" " , 8, "Arial Bold", C'110,130,166' );
   
   ObjectDelete("TSR10");
   TSR10( "TSR10", 260, 12,4);
   ObjectSetText( "TSR10", "From Hi to Low"  , 8, "Arial ", C'112,126,85' );//Hi/Low
   ObjectDelete("TSR11");
   TSR11( "TSR11", 260, 12,4);
   ObjectSetText( "TSR11"," "+HL+" " , 8, "Arial Bold", C'110,130,166' );
   ObjectDelete("TSR16b");
   
   TSR16a( "TSR16c", 267, 12,4);
   ObjectSetText( "TSR16c",",,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,"  , 8, "Arial ", DarkTurquoise );//50%  
    ObjectDelete("TSR6c");
    
   TSR6( "TSR6", 279, 12,4);
   ObjectSetText( "TSR6", "Today's HIGH"  , 8, "Arial ", C'112,126,85' );//Hi
   ObjectDelete("TSR7");
   TSR7( "TSR7", 279, 12,4);
   ObjectSetText( "TSR7"," "+HI+" " , 8, "Arial Bold",  C'110,130,166' );
   
     ObjectDelete("TSR8");
   TSR8( "TSR8", 293, 12,4);
   ObjectSetText( "TSR8", "Today's LOW"  , 8, "Arial ", C'112,126,85' );//Low
   ObjectDelete("TSR9");
   TSR9( "TSR9", 293, 12,4);
   ObjectSetText( "TSR9"," "+LOW+" " , 8, "Arial Bold", C'110,130,166' );
   
      ObjectDelete("TSR16b");
   TSR16a( "TSR16b", 300, 12,4);
   ObjectSetText( "TSR16b",",,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,"  , 8, "Arial ", DarkTurquoise );//50%
   
     ObjectDelete("TSR12");
   TSR12( "TSR12", 313, 12,4);
   ObjectSetText( "TSR12", "Top Daily Range"  , 8, "Arial ", C'112,126,85' );//Top Range
   ObjectDelete("TSR13");
   TSR13( "TSR13", 313, 12,4);
   ObjectSetText( "TSR13"," "+TDR+" " , 8, "Arial Bold",  C'110,130,166' );
   
     ObjectDelete("TSR14");
   TSR14( "TSR14", 327, 12,4);
   ObjectSetText( "TSR14", "Low Daily Range"  , 8, "Arial ", C'112,126,85' );//Bottom Range
   ObjectDelete("TSR15");
   TSR15( "TSR15", 327, 12,4);
   ObjectSetText( "TSR15"," "+BDR+" " , 8, "Arial Bold", C'110,130,166' );
   
      ObjectDelete("TSR16a");
   TSR16a( "TSR16a", 335, 12,4);
   ObjectSetText( "TSR16a",",,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,"  , 8, "Arial ", DarkTurquoise );//50%
     ObjectDelete("TSR16");
   TSR16( "TSR16", 350, 12,4);
   ObjectSetText( "TSR16","Daily 50% Range "  , 8, "Arial ", C'112,126,85' );//50%
   ObjectDelete("TSR17");
   TSR17( "TSR17", 350, 12,4);
   ObjectSetText( "TSR17"," "+FIFTY+"", 8, "Arial Bold", C'110,130,166' );
   
     ObjectDelete("TSR18");
   TSR18( "TSR18", 365, 12,4);
   ObjectSetText( "TSR18", "LONG Entry"  , 8, "Arial ", C'112,126,85' );//LONG
   ObjectDelete("TSR19");
   TSR19( "TSR19", 365, 12,4);
   ObjectSetText( "TSR19"," "+LG+" " , 8, "Arial Bold",  C'110,130,166');
   
     ObjectDelete("TSR20");
   TSR20( "TSR20", 380, 12,4);
   ObjectSetText( "TSR20", "SHORT Entry"  , 8, "Arial ", C'112,126,85' );//SHORT
   ObjectDelete("TSR21");
   TSR21( "TSR21", 380, 12,4);
   ObjectSetText( "TSR21"," "+ST+" " , 8, "Arial Bold", C'110,130,166' );
   
    
     ObjectDelete("TSR22");
   TSR22( "TSR22", 395, 12,4);
   ObjectSetText( "TSR22", "Profit LONG"  , 8, "Arial ", C'112,126,85');//PRO LONG
   ObjectDelete("TSR23");
   TSR23( "TSR23", 395, 12,4);
   ObjectSetText( "TSR23"," "+PRO_L+" " , 8, "Arial Bold", C'110,130,166' );
   
     ObjectDelete("TSR24");
   TSR24( "TSR24", 410, 12,4);
   ObjectSetText( "TSR24", "Profit SHORT "  , 8, "Arial ", C'112,126,85' );//PRO SHORT
   ObjectDelete("TSR25");
   TSR25( "TSR25", 410, 12,4);
   ObjectSetText( "TSR25"," "+PRO_S+" " , 8, "Arial Bold", C'110,130,166' );
       ObjectDelete("TSR25a");
   TSR25a( "TSR25a", 420, 12,4);
   ObjectSetText( "TSR25a",",,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,"  , 8, "Arial ", DarkTurquoise );//50%
   
   
      if(Show_Factor==true)
{
   ObjectDelete("TSR26");
   TSR26( "TSR26", 420, 12,4);
   ObjectSetText( "TSR26", "Price "  , 8, "Arial ", C'112,126,85' );//PRICE
   ObjectDelete("TSR27");
   TSR27( "TSR27", 420, 12,4);
   ObjectSetText( "TSR27"," "+CURR+" " , 12, "Arial Bold", C'110,130,166' );
   }
   if(Show_Factor==true)
{
       ObjectDelete("TSR26");
   TSR26( "TSR26", 540, 12,4);
   ObjectSetText( "TSR26", "Price "  , 8, "Arial ", C'112,126,85' );//PRICE
   ObjectDelete("TSR27");
   TSR27( "TSR27", 540, 12,4);
   ObjectSetText( "TSR27"," "+CURR+" " , 10, "Arial Bold", C'110,130,166' );

       ObjectDelete("TSR28");
   TSR28( "TSR28", 435, 12,4);
   ObjectSetText( "TSR28", "Factor = "  , 8, "Arial ",  C'112,126,85'  );//FACTOR
   ObjectDelete("TSR29");
   TSR29( "TSR29", 435, 12,4);
   ObjectSetText( "TSR29"," "+DailyFACTOR+" " , 8, "Arial", C'110,130,166' );
   
       ObjectDelete("TSR30");
   TSR30( "TSR30", 450, 12,4);
   ObjectSetText( "TSR30", "LONG F Entry  "  , 8, "Arial ", C'112,126,85'  );//Weekly Av
   ObjectDelete("TSR31");
   TSR31( "TSR31", 450, 12,4);
   ObjectSetText( "TSR31"," "+FACTORUP1 +" " , 8, "Arial Bold", C'110,130,166');
        ObjectDelete("TSR32");
   TSR32( "TSR32", 465, 12,4);
   ObjectSetText( "TSR32", "SHORT F Entry "  , 8, "Arial ", C'112,126,85'  );//Monthly Av
   ObjectDelete("TSR33");
   TSR33( "TSR33", 465, 12,4);
   ObjectSetText( "TSR33"," "+FACTORDN1 +" " , 8, "Arial Bold", C'110,130,166');
    ObjectDelete("TSR34");
   TSR34( "TSR34", 480, 12,4);
   ObjectSetText( "TSR34", "Profit LONG"  , 8, "Arial ", C'112,126,85' );//PRO LONG
   ObjectDelete("TSR35");
   TSR35( "TSR35", 480, 12,4);
   ObjectSetText( "TSR35"," "+PRO_L1+" " , 8, "Arial Bold",  C'110,130,166' );
   
     ObjectDelete("TSR36");
   TSR36( "TSR36", 495, 12,4);
   ObjectSetText( "TSR36", "Profit SHORT "  , 8, "Arial ", C'112,126,85' );//PRO SHORT
   ObjectDelete("TSR37");
   TSR37( "TSR37", 495, 12,4);
   ObjectSetText( "TSR37"," "+PRO_S1+" " , 8, "Arial Bold", C'110,130,166' );
        ObjectDelete("TSR38");
   TSR38( "TSR38", 505, 12,4);
   ObjectSetText( "TSR38",",,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,"  , 8, "Arial ", DarkTurquoise );//50%
      
      ObjectDelete("TSR39");
   TSR39( "TSR39", 500, 12,4);
   ObjectSetText( "TSR39", "Daily Average "  , 8, "Arial ", C'112,126,85' );//Daily Average
   ObjectDelete("TSR40");
   TSR40( "TSR40", 500, 12,4);
   ObjectSetText( "TSR40"," "+DAR+" " , 8, "Arial Bold", C'110,130,166' );
   }
      if(Show_Factor==true)
{
   ObjectDelete("TSR39");
   TSR39( "TSR39", 520, 12,4);
   ObjectSetText( "TSR39", "Daily Average "  , 8, "Arial ", C'112,126,85' );//Daily Average
   ObjectDelete("TSR40");
   TSR40( "TSR40", 520, 12,4);
   ObjectSetText( "TSR40"," "+DAR+" " , 8, "Arial Bold", C'110,130,166' );
   }
   if (Show_FibLines==false)
{
     if(ObjectFind("FIB") != 0){
ObjectCreate("FIB", OBJ_TEXT, 0, Time[SHIFT_FibText], FIB100);
ObjectSetText("FIB", "FIB 100% ", 8, "Arial", Green);
}else{ObjectMove("FIB", 0, Time[SHIFT_FibText], FIB100);}
     if(ObjectFind("FIB2") != 0){
ObjectCreate("FIB2", OBJ_TEXT, 0, Time[SHIFT_FibText], FIB50);
ObjectSetText("FIB2", "FIB 50% ", 8, "Arial", Green);
}else{ObjectMove("FIB2", 0, Time[SHIFT_FibText], FIB50);}
     if(ObjectFind("FIB3") != 0){
ObjectCreate("FIB3", OBJ_TEXT, 0, Time[SHIFT_FibText], FIB0);
ObjectSetText("FIB3", "FIB 0.00% ", 8, "Arial", Green);
}else{ObjectMove("FIB3", 0, Time[SHIFT_FibText], FIB0);}
     if(ObjectFind("FIB4") != 0){
ObjectCreate("FIB4", OBJ_TEXT, 0, Time[SHIFT_FibText], FIB382);
ObjectSetText("FIB4", "FIB 0.382% ", 8, "Arial", Green);
}else{ObjectMove("FIB4", 0, Time[SHIFT_FibText], FIB382);}
     if(ObjectFind("FIB5") != 0){
ObjectCreate("FIB5", OBJ_TEXT, 0, Time[SHIFT_FibText], FIB618);
ObjectSetText("FIB5", "FIB 0.618% ", 8, "Arial", Green);
}else{ObjectMove("FIB5", 0, Time[SHIFT_FibText], FIB618);}
     if(ObjectFind("FIB6") != 0){
ObjectCreate("FIB6", OBJ_TEXT, 0, Time[SHIFT_FibText], FIBP50);
ObjectSetText("FIB6", "FIB +1.50% ", 8, "Arial",  C'0,93,0');
}else{ObjectMove("FIB6", 0, Time[SHIFT_FibText], FIBP50);}
     if(ObjectFind("FIB7") != 0){
ObjectCreate("FIB7", OBJ_TEXT, 0, Time[SHIFT_FibText], FIBP100);
ObjectSetText("FIB7", "FIB +200% ", 8, "Arial", Green);
}else{ObjectMove("FIB7", 0, Time[SHIFT_FibText], FIBP100);}
     if(ObjectFind("FIB8") != 0){
ObjectCreate("FIB8", OBJ_TEXT, 0, Time[SHIFT_FibText], FIBM50);
ObjectSetText("FIB8", "FIB -1.50% ", 8, "Arial", C'0,93,0');
}else{ObjectMove("FIB8", 0, Time[SHIFT_FibText], FIBM50);}
     if(ObjectFind("FIB9") != 0){
ObjectCreate("FIB9", OBJ_TEXT, 0, Time[SHIFT_FibText], FIBM100);
ObjectSetText("FIB9", "FIB -200% ", 8, "Arial", Green);
}else{ObjectMove("FIB9", 0, Time[SHIFT_FibText], FIBM100);}
     if(ObjectFind("FIB10") != 0){
ObjectCreate("FIB10", OBJ_TEXT, 0, Time[SHIFT_FibText], FIBP382);
ObjectSetText("FIB10", "FIB +1.382% ", 8, "Arial", Green);
}else{ObjectMove("FIB10", 0, Time[SHIFT_FibText], FIBP382);}
     if(ObjectFind("FIB11") != 0){
ObjectCreate("FIB11", OBJ_TEXT, 0, Time[SHIFT_FibText], FIBM382);
ObjectSetText("FIB11", "FIB -1.382% ", 8, "Arial", Green);
}else{ObjectMove("FIB11", 0, Time[SHIFT_FibText], FIBM382);}
     if(ObjectFind("FIB12") != 0){
ObjectCreate("FIB12", OBJ_TEXT, 0, Time[SHIFT_FibText], FIBP618);
ObjectSetText("FIB12", "FIB +1.618% ", 8, "Arial", Green);
}else{ObjectMove("FIB12", 0, Time[SHIFT_FibText], FIBP618);}
     if(ObjectFind("FIB13") != 0){
ObjectCreate("FIB13", OBJ_TEXT, 0, Time[SHIFT_FibText], FIBM618);
ObjectSetText("FIB13", "FIB -1.618% ", 8, "Arial", Green);
}else{ObjectMove("FIB13", 0, Time[SHIFT_FibText], FIBM618);}
     if(ObjectFind("FIB14") != 0){
ObjectCreate("FIB14", OBJ_TEXT, 0, Time[SHIFT_FibText], FIB764);
ObjectSetText("FIB14", "FIB 0.764% ", 8, "Arial", Green);
}else{ObjectMove("FIB14", 0, Time[SHIFT_FibText], FIB764);}
     if(ObjectFind("FIB15") != 0){
ObjectCreate("FIB15", OBJ_TEXT, 0, Time[SHIFT_FibText], FIB236);
ObjectSetText("FIB15", "FIB 0.236% ", 8, "Arial", Green);
}else{ObjectMove("FIB15", 0, Time[SHIFT_FibText], FIB236);}
     if(ObjectFind("FIB16") != 0){
ObjectCreate("FIB16", OBJ_TEXT, 0, Time[SHIFT_FibText], FIBM236);
ObjectSetText("FIB16", "FIB -1.236% ", 8, "Arial", C'0,93,0');
}else{ObjectMove("FIB16", 0, Time[SHIFT_FibText], FIBM236);}
     if(ObjectFind("FIB17") != 0){
ObjectCreate("FIB17", OBJ_TEXT, 0, Time[SHIFT_FibText], FIBP236);
ObjectSetText("FIB17", "FIB +1.236% ", 8, "Arial", C'0,93,0');
}else{ObjectMove("FIB17", 0, Time[SHIFT_FibText], FIBP236);}
     if(ObjectFind("FIB18") != 0){
ObjectCreate("FIB18", OBJ_TEXT, 0, Time[SHIFT_FibText], FIBM764);
ObjectSetText("FIB18", "FIB -1.764% ", 8, "Arial", C'0,93,0');
}else{ObjectMove("FIB18", 0, Time[SHIFT_FibText], FIBM764);}
     if(ObjectFind("FIB19") != 0){
ObjectCreate("FIB19", OBJ_TEXT, 0, Time[SHIFT_FibText], FIBP764);
ObjectSetText("FIB19", "FIB +1.764% ", 8, "Arial", C'0,93,0');
}else{ObjectMove("FIB19", 0, Time[SHIFT_FibText], FIBP764);}
}

if (Show_EXTRAFibLines==true)
{
     if(ObjectFind("FIB120") != 0){
ObjectCreate("FIB20", OBJ_TEXT, 0, Time[SHIFT_FibText], FIBP150);
ObjectSetText("FIB20", "FIB +250% ", 8, "Arial", C'0,93,0');
}else{ObjectMove("FIB20", 0, Time[SHIFT_FibText], FIBP150);}
     if(ObjectFind("FIB21") != 0){
ObjectCreate("FIB21", OBJ_TEXT, 0, Time[SHIFT_FibText], FIBM150);
ObjectSetText("FIB21", "FIB -250% ", 8, "Arial", C'0,93,0');
}else{ObjectMove("FIB21", 0, Time[SHIFT_FibText], FIBM150);}
     if(ObjectFind("FIB122") != 0){
ObjectCreate("FIB22", OBJ_TEXT, 0, Time[SHIFT_FibText], FIBP200);
ObjectSetText("FIB22", "FIB +300% ", 8, "Arial", C'0,93,0');
}else{ObjectMove("FIB22", 0, Time[SHIFT_FibText], FIBP200);}
     if(ObjectFind("FIB23") != 0){
ObjectCreate("FIB23", OBJ_TEXT, 0, Time[SHIFT_FibText], FIBM200);
ObjectSetText("FIB23", "FIB -300% ", 8, "Arial", C'0,93,0');
}else{ObjectMove("FIB23", 0, Time[SHIFT_FibText], FIBM200);}
     if(ObjectFind("FIB124") != 0){
ObjectCreate("FIB24", OBJ_TEXT, 0, Time[SHIFT_FibText], FIBP250);
ObjectSetText("FIB24", "FIB +350% ", 8, "Arial", C'0,93,0');
}else{ObjectMove("FIB24", 0, Time[SHIFT_FibText], FIBP250);}
     if(ObjectFind("FIB25") != 0){
ObjectCreate("FIB25", OBJ_TEXT, 0, Time[SHIFT_FibText], FIBM250);
ObjectSetText("FIB25", "FIB -350% ", 8, "Arial", C'0,93,0');
}else{ObjectMove("FIB25", 0, Time[SHIFT_FibText], FIBM250);}
     if(ObjectFind("FIB126") != 0){
ObjectCreate("FIB26", OBJ_TEXT, 0, Time[SHIFT_FibText], FIBP300);
ObjectSetText("FIB26", "FIB +400% ", 8, "Arial", C'0,93,0');
}else{ObjectMove("FIB26", 0, Time[SHIFT_FibText], FIBP300);}
     if(ObjectFind("FIB27") != 0){
ObjectCreate("FIB27", OBJ_TEXT, 0, Time[SHIFT_FibText], FIBM300);
ObjectSetText("FIB27", "FIB -400% ", 8, "Arial", C'0,93,0');
}else{ObjectMove("FIB27", 0, Time[SHIFT_FibText], FIBM300);}
}
  if (Show_PivotLines==true)
    {    
      if(ObjectFind("P") != 0){
ObjectCreate("P", OBJ_TEXT, 0, Time[SHIFT_PivotPointText], P);
ObjectSetText("P", "P ", 8, "Arial", Silver);
}else{ObjectMove("P", 0, Time[SHIFT_PivotPointText], P);}
     
     if(ObjectFind("S3") != 0){
ObjectCreate("S3", OBJ_TEXT, 0, Time[SHIFT_PivotPointText], ss3);
ObjectSetText("S3", "S3 ", 8, "Arial", Silver);
}else{ObjectMove("S3", 0, Time[SHIFT_PivotPointText], ss3);}
     if(ObjectFind("S2") != 0){
ObjectCreate("S2", OBJ_TEXT, 0, Time[SHIFT_PivotPointText], ss2);
ObjectSetText("S2", "S2 ", 8, "Arial", Silver);
}else{ObjectMove("S2", 0, Time[SHIFT_PivotPointText], ss2);}
     if(ObjectFind("S1") != 0){
ObjectCreate("S1", OBJ_TEXT, 0, Time[SHIFT_PivotPointText], ss1);
ObjectSetText("S1", "S1 ", 8, "Arial", Silver);
}else{ObjectMove("S1", 0, Time[SHIFT_PivotPointText], ss1);}
     if(ObjectFind("R1") != 0){
ObjectCreate("R1", OBJ_TEXT, 0, Time[SHIFT_PivotPointText], rr1);
ObjectSetText("R1", "R1 ", 8, "Arial", Silver);
}else{ObjectMove("R1", 0, Time[SHIFT_PivotPointText], rr1);}
     if(ObjectFind("R2") != 0){
ObjectCreate("R2", OBJ_TEXT, 0, Time[SHIFT_PivotPointText], rr2);
ObjectSetText("R2", "R2 ", 8, "Arial", Silver);
}else{ObjectMove("R2", 0, Time[SHIFT_PivotPointText], rr2);}
     if(ObjectFind("R3") != 0){
ObjectCreate("R3", OBJ_TEXT, 0, Time[SHIFT_PivotPointText], rr3);
ObjectSetText("R3", "R3 ", 8, "Arial", Silver);
}else{ObjectMove("R3", 0, Time[SHIFT_PivotPointText], rr3);}
}
 if (Show_M_PivotLines==true) 
         {
 if(ObjectFind("M5") != 0){
ObjectCreate("M5", OBJ_TEXT, 0, Time[SHIFT_M_PivotText], mm5);
ObjectSetText("M5", "M5 ", 8, "Arial", Silver);
}else{ObjectMove("M5", 0, Time[SHIFT_M_PivotText], mm5);}
     if(ObjectFind("M4") != 0){
ObjectCreate("M4", OBJ_TEXT, 0, Time[SHIFT_M_PivotText], mm4);
ObjectSetText("M4", "M4 ", 8, "Arial", Silver);
}else{ObjectMove("M4", 0, Time[SHIFT_M_PivotText], mm4);}
     if(ObjectFind("M3") != 0){
ObjectCreate("M3", OBJ_TEXT, 0, Time[SHIFT_M_PivotText], mm3);
ObjectSetText("M3", "M3 ", 8, "Arial", Silver);
}else{ObjectMove("M3", 0, Time[SHIFT_M_PivotText], mm3);}
     if(ObjectFind("M2") != 0){
ObjectCreate("M2", OBJ_TEXT, 0, Time[SHIFT_M_PivotText], mm2);
ObjectSetText("M2", "M2 ", 8, "Arial", Silver);
}else{ObjectMove("M2", 0, Time[SHIFT_M_PivotText], mm2);}
     if(ObjectFind("M1") != 0){
ObjectCreate("M1", OBJ_TEXT, 0, Time[SHIFT_M_PivotText], mm1);
ObjectSetText("M1", "M1 ", 8, "Arial", Silver);
}else{ObjectMove("M1", 0, Time[SHIFT_M_PivotText], mm1);}
     if(ObjectFind("M0") != 0){
ObjectCreate("M0", OBJ_TEXT, 0, Time[SHIFT_M_PivotText], mm0);
ObjectSetText("M0", "M0 ", 8, "Arial", Silver);
}else{ObjectMove("M0", 0, Time[SHIFT_M_PivotText], mm0);}
}
if (Show_Daily_HI_LOW==true)
    {      
     if(ObjectFind("DHIGH") != 0){
ObjectCreate("DHIGH", OBJ_TEXT, 0, Time[SHIFT_HI_LOW_TEXT], HI3);
ObjectSetText("DHIGH", "Daily High ", GRAPHICS_TEXT_Size, "Arial", Red);
}else{ObjectMove("DHIGH", 0, Time[SHIFT_HI_LOW_TEXT], HI3);}
     if(ObjectFind("DLOW") != 0){
ObjectCreate("DLOW", OBJ_TEXT, 0, Time[SHIFT_HI_LOW_TEXT], LOW3);
ObjectSetText("DLOW", "Daily Low ", GRAPHICS_TEXT_Size, "Arial", Red);
}else{ObjectMove("DLOW", 0, Time[SHIFT_HI_LOW_TEXT], LOW3);}
}
}


//Short Average

 if(ObjectFind("HIDaily1") != 0)
{
ObjectCreate("HIDaily1", OBJ_TEXT, 0, Time[SHIFTDaily_TEXT], HIDaily);
ObjectSetText("HIDaily1", "                        50% SHORT", GRAPHICS_TEXT_Size, "Verdana", Red);
}
else
{
ObjectMove("HIDaily1", 0, Time[SHIFTDaily_TEXT], HIDaily);
} 

//High Average
 if(ObjectFind("HIDaily2") != 0)
{
ObjectCreate("HIDaily2", OBJ_TEXT, 0, Time[SHIFTDaily_TEXT ], LOWDaily);
ObjectSetText("HIDaily2", "                      50% LONG", GRAPHICS_TEXT_Size, "Verdana", Red);
}
else
{
ObjectMove("HIDaily2", 0, Time[SHIFTDaily_TEXT], LOWDaily);
}

//Today's High
 if(ObjectFind("HIDaily3") != 0)
{
ObjectCreate("HIDaily3", OBJ_TEXT, 0, Time[SHIFT_Daily_HI_LOW_TEXT], day_high);
ObjectSetText("HIDaily3", "            High ", GRAPHICS_TEXT_Size, "Verdana", YellowGreen);
}
else
{
ObjectMove("HIDaily3", 0, Time[SHIFT_Daily_HI_LOW_TEXT], day_high);
}

//Todays Low 
 if(ObjectFind("HIDaily4") != 0)
{
ObjectCreate("HIDaily4", OBJ_TEXT, 0, Time[SHIFT_Daily_HI_LOW_TEXT], day_low);
ObjectSetText("HIDaily4", "           Low ", GRAPHICS_TEXT_Size, "Verdana", YellowGreen);
}
else
{
ObjectMove("HIDaily4", 0, Time[SHIFT_Daily_HI_LOW_TEXT], day_low);
}

//Open
 if(ObjectFind("HIDaily5") != 0)
{
ObjectCreate("HIDaily5", OBJ_TEXT, 0, Time[SHIFT_OPEN_TEXT ], OPEN);
ObjectSetText("HIDaily5", "             Open ", GRAPHICS_TEXT_Size, "Verdana",Red);
}
else
{
ObjectMove("HIDaily5", 0, Time[SHIFT_OPEN_TEXT ], OPEN);
}

//Bottom of Daily Range
 if(ObjectFind("HIDaily6") != 0)
{
ObjectCreate("HIDaily6", OBJ_TEXT, 0, Time[SHIFT_TOP_LOW_DailyRangeTEXT ],HIDaily2);
ObjectSetText("HIDaily6", "                              Low Daily Range", GRAPHICS_TEXT_Size, "Verdana",Red);
}
else
{
ObjectMove("HIDaily6", 0, Time[SHIFT_TOP_LOW_DailyRangeTEXT ], HIDaily2);
}
//TOP of Daily Range
 if(ObjectFind("HIDaily7") != 0)
{
ObjectCreate("HIDaily7", OBJ_TEXT, 0, Time[SHIFT_TOP_LOW_DailyRangeTEXT ],LOWDaily2);
ObjectSetText("HIDaily7", "                              Top Daily Range", GRAPHICS_TEXT_Size, "Verdana",Red);
}
else
{
ObjectMove("HIDaily7", 0, Time[SHIFT_TOP_LOW_DailyRangeTEXT ], LOWDaily2);
}
//Pivot
 if(ObjectFind("HIDaily8") != 0)
{
ObjectCreate("HIDaily8", OBJ_TEXT, 0, Time[SHIFT_PIVOT_TEXT ],Pivot);
ObjectSetText("HIDaily8", "            Pivot", GRAPHICS_TEXT_Size, "Verdana",Silver);
}
else
{
ObjectMove("HIDaily8", 0, Time[SHIFT_PIVOT_TEXT ], Pivot);
}
if(Show_Factor==true)
{
 if(ObjectFind("HIDaily9") != 0)
{
ObjectCreate("HIDaily9", OBJ_TEXT, 0, Time[SHIFT_FACTOR_TEXT],FACTORUP);
ObjectSetText("HIDaily9", "                    F-"+DailyFACTOR+" LONG", GRAPHICS_TEXT_Size, "Verdana",Silver);
}
else
{
ObjectMove("HIDaily9", 0, Time[SHIFT_FACTOR_TEXT], FACTORUP);
}
 if(ObjectFind("HIDaily10") != 0)
{
ObjectCreate("HIDaily10", OBJ_TEXT, 0, Time[SHIFT_FACTOR_TEXT],FACTORDN);
ObjectSetText("HIDaily10", "                     F-"+DailyFACTOR+" SHORT", GRAPHICS_TEXT_Size, "Verdana",Silver);
}
else
{
ObjectMove("HIDaily10", 0, Time[SHIFT_FACTOR_TEXT], FACTORDN);
}
} 
   {
if( (WorkTime != Time[0]) || (Periods != Period()) ) {
CreateObj(Daily, HIDaily, LOWDaily, DailyColor);
CreateObj(Daily1, HIDaily1, LOWDaily1, DailyColor1);
CreateObj(Daily2, HIDaily2, LOWDaily2, DailyColor2);
CreateObj2(Open1,OPEN,OPEN,2,0, SteelBlue);
CreateObj2(PVT,Pivot,Pivot,2,0, Silver);
if(Show_Factor==true)
{
CreateObj(Daily3,FACTORUP,HIDaily1, DailyColor3);
CreateObj(Daily4,FACTORDN,LOWDaily1,DailyColor4);}
}
     
    if (Show_PivotLines==true)
    {      
         CreateObj2(PP1,P,P,2,0, Gray);
         CreateObj2(RR3,rr3,rr3,1,0, Gray);
         CreateObj2(RR2,rr2,rr2,1,0, Gray);
         CreateObj2(RR1,rr1,rr1,1,0, Gray);
         CreateObj2(SS1,ss1,ss1,1,0, Gray);
         CreateObj2(SS2,ss2,ss2,1,0, Gray);
         CreateObj2(SS3,ss3,ss3,1,0, Gray);
        }
        
     if (Show_M_PivotLines==true) 
         {
          CreateObj2(MM1,mm1,mm1,1,2, DimGray);
          CreateObj2(MM2,mm2,mm2,1,2, DimGray);
          CreateObj2(MM3,mm3,mm3,1,2, DimGray);
          CreateObj2(MM4,mm4,mm4,1,2, DimGray);
          CreateObj2(MM5,mm5,mm5,1,2, DimGray);
          CreateObj2(MM0,mm0,mm0,1,2, DimGray);
          
        	}      
   if (Show_FibLines==true)
   { 
  CreateObj3(FibP100, FIBP100, FIBP100,1,0,Green );
  CreateObj3(FibP764, FIBP764, FIBP764,1,0, C'0,53,0' );
  CreateObj3(FibP618, FIBP618, FIBP618,1,0, Green);
  CreateObj3(FibP50, FIBP50, FIBP50,1,0, C'0,53,0' );
  CreateObj3(FibP382, FIBP382, FIBP382,1,0, Green );
  CreateObj3(FibP236, FIBP236, FIBP236,1,0, C'0,53,0' );      
  CreateObj3(Fib100, FIB100, FIB100,1,0,  C'0,200,0');
  CreateObj3(Fib764, FIB764, FIB764,1,0, C'0,53,0' );
  CreateObj3(Fib618, FIB618, FIB618,1,0, Green );
  CreateObj3(Fib50, FIB50, FIB50,1,0, C'0,53,0' );
  CreateObj3(Fib382, FIB382, FIB382,1,0, Green );
  CreateObj3(Fib236, FIB236, FIB236,1,0, C'0,53,0' );
  CreateObj3(Fib0, FIB0, FIB0,1,0,  C'0,200,0' );
  CreateObj3(FibM236, FIBM236, FIBM236,1,0, C'0,53,0' );
  CreateObj3(FibM382, FIBM382, FIBM382,1,0, Green );
  CreateObj3(FibM50, FIBM50, FIBM50,1,0, C'0,53,0' );
  CreateObj3(FibM618, FIBM618, FIBM618,1,0, Green );
  CreateObj3(FibM764, FIBM764, FIBM764,1,0,C'0,53,0');
  CreateObj3(FibM100, FIBM100, FIBM100,1,0, Green );
  }
  if (Show_EXTRAFibLines==true)
  {
  CreateObj3(FibP300, FIBP300, FIBP300,1,0, Green );
  CreateObj3(FibP250, FIBP250, FIBP250,1,0, Green );   
  CreateObj3(FibP200, FIBP200, FIBP200,1,0, Green );
  CreateObj3(FibP150, FIBP150, FIBP150,1,0, Green );      
  CreateObj3(FibM150, FIBM150, FIBM150,1,0, Green );
  CreateObj3(FibM200, FIBM200, FIBM200,1,0, Green );
  CreateObj3(FibM250, FIBM250, FIBM250,1,0, Green );
  CreateObj3(FibM300, FIBM300, FIBM300,1,0, Green );
  }
  if (Show_Daily_HI_LOW==true)
  {
  CreateObj2(DHI,HI3,HI3,1,0, Red);
  CreateObj2(DLO,LOW3,LOW3,1,0, Red);
}
       
    
} 
  
   
   return(0);
   
  }
//+------------------------------------------------------------------+

int TSR( string Text, int xOffset, int yOffset,int iCorner) //TITLE
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSRa( string Text, int xOffset, int yOffset,int iCorner) //TITLE
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR2( string Text, int xOffset, int yOffset,int iCorner) //OPEN
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR3( string Text, int xOffset, int yOffset,int iCorner) //OPEN
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 120);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR4( string Text, int xOffset, int yOffset,int iCorner) //PIPS
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR5( string Text, int xOffset, int yOffset,int iCorner) //PIPS
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 120);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR6( string Text, int xOffset, int yOffset,int iCorner) //HI/LOW
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR7( string Text, int xOffset, int yOffset,int iCorner) //HI/LOW
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 120);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR8( string Text, int xOffset, int yOffset,int iCorner) //HI
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR9( string Text, int xOffset, int yOffset,int iCorner) //HI
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 120);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR10( string Text, int xOffset, int yOffset,int iCorner) //LOW
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR11( string Text, int xOffset, int yOffset,int iCorner) //LOW
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 120);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR12( string Text, int xOffset, int yOffset,int iCorner) //TOP
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR13( string Text, int xOffset, int yOffset,int iCorner) //TOP
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 120);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR14( string Text, int xOffset, int yOffset,int iCorner) //BOT
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR15( string Text, int xOffset, int yOffset,int iCorner) //BOT
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 120);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR16( string Text, int xOffset, int yOffset,int iCorner) //50%
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR16a( string Text, int xOffset, int yOffset,int iCorner) //50%
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR17( string Text, int xOffset, int yOffset,int iCorner) //50%
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 120);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR18( string Text, int xOffset, int yOffset,int iCorner) //LONG
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR19( string Text, int xOffset, int yOffset,int iCorner) //LONG
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 120);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR20( string Text, int xOffset, int yOffset,int iCorner) //SHORT
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR21( string Text, int xOffset, int yOffset,int iCorner) //SHORT
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 120);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR22( string Text, int xOffset, int yOffset,int iCorner) //PRO L
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR23( string Text, int xOffset, int yOffset,int iCorner) //PRO L
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 120);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR24( string Text, int xOffset, int yOffset,int iCorner) //PRO S
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR25( string Text, int xOffset, int yOffset,int iCorner) //PRO S
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 120);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR25a( string Text, int xOffset, int yOffset,int iCorner) //PRO S
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR26( string Text, int xOffset, int yOffset,int iCorner) //PRICE
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR27( string Text, int xOffset, int yOffset,int iCorner) //PRICE
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 120);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR28( string Text, int xOffset, int yOffset,int iCorner) //PRICE
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR29( string Text, int xOffset, int yOffset,int iCorner) //PRICE
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 120);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR30( string Text, int xOffset, int yOffset,int iCorner) //PRICE
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR31( string Text, int xOffset, int yOffset,int iCorner) //PRICE
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 120);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR32( string Text, int xOffset, int yOffset,int iCorner) //PRICE
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR33( string Text, int xOffset, int yOffset,int iCorner) //PRICE
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 120);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR34( string Text, int xOffset, int yOffset,int iCorner) //PRICE
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR35( string Text, int xOffset, int yOffset,int iCorner) //PRICE
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 120);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR36( string Text, int xOffset, int yOffset,int iCorner) //PRICE
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR37( string Text, int xOffset, int yOffset,int iCorner) //PRICE
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 120);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR38( string Text, int xOffset, int yOffset,int iCorner) //PRICE
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR39( string Text, int xOffset, int yOffset,int iCorner) //PRICE
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR40( string Text, int xOffset, int yOffset,int iCorner) //PRICE
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 120);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}